CURSES_FILEIO(3)

NAME
curses_fileio, getwin, putwin - curses file input/output routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
WINDOW *
getwin(FILE *fp);
int
putwin(WINDOW *win, FILE *fp);

DESCRIPTION
These functions read and write data to and from files.

The getwin() function reads window data that has been stored in the file to which fp points, and then creates a new window using that data.

The putwin() function writes window data from the window win to the file pointed to by fp.

RETURN VALUES
The getwin() function returns one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

The putwin() function returns NULL if an error is detected.

SEE ALSO
curses_window(3), fread(3), fwrite(3)

NOTES
Subwindows can not be created by the getwin() function, nor written by the putwin() function.

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
These functions first appeared in NetBSD 5.0.